cURL
curl \
--request POST \
--url "https://api.breeze.blue/v1/studio/files/123e4567-e89b-42d3-a456-426614174001/upload" \
--header "xi-api-key: $BREEZE_API_KEY"from breeze_blue import BreezeBlue
client = BreezeBlue()
result = client.studio.files.upload_url("123e4567-e89b-42d3-a456-426614174001")import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient();
const result = await client.studio.files.uploadUrl("123e4567-e89b-42d3-a456-426614174001");{
"upload_url": "<string>",
"expires_in": 123,
"headers": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Studio
Get an upload URL
Get a presigned URL for the file bytes. Send a PUT request to upload_url with the returned headers and without your API key. The URL expires after expires_in seconds; request a new one if it expires.
POST
/
v1
/
studio
/
files
/
{file_id}
/
upload
cURL
curl \
--request POST \
--url "https://api.breeze.blue/v1/studio/files/123e4567-e89b-42d3-a456-426614174001/upload" \
--header "xi-api-key: $BREEZE_API_KEY"from breeze_blue import BreezeBlue
client = BreezeBlue()
result = client.studio.files.upload_url("123e4567-e89b-42d3-a456-426614174001")import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient();
const result = await client.studio.files.uploadUrl("123e4567-e89b-42d3-a456-426614174001");{
"upload_url": "<string>",
"expires_in": 123,
"headers": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Continue building
Arrange background audio
Upload files and place them on tracks.
Create an instance
Place a ready file on a track.
Studio CLI
Run the same operations from a terminal.
Authorizations
Breeze Developer API key.
Path Parameters
Audio file ID.

